public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexandre Rostovtsev" <tetromino@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/glib/
Date: Sun, 11 Oct 2015 00:14:45 +0000 (UTC)	[thread overview]
Message-ID: <1444522362.67b2d360e634c57fd65334688c6d42113969d8f5.tetromino@gentoo> (raw)

commit:     67b2d360e634c57fd65334688c6d42113969d8f5
Author:     Alexandre Rostovtsev <tetromino <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 11 00:12:01 2015 +0000
Commit:     Alexandre Rostovtsev <tetromino <AT> gentoo <DOT> org>
CommitDate: Sun Oct 11 00:12:42 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67b2d360

dev-libs/glib: pull in elfutils only when USE=utils

It's only used by /usr/bin/gresource, which is a debugging utility.

Gentoo-Bug: 542816
Reported-by: Nikoli

 dev-libs/glib/glib-2.44.1-r1.ebuild | 270 ++++++++++++++++++++++++++++++++++++
 dev-libs/glib/metadata.xml          |   3 +-
 2 files changed, 272 insertions(+), 1 deletion(-)

diff --git a/dev-libs/glib/glib-2.44.1-r1.ebuild b/dev-libs/glib/glib-2.44.1-r1.ebuild
new file mode 100644
index 0000000..9534f7a
--- /dev/null
+++ b/dev-libs/glib/glib-2.44.1-r1.ebuild
@@ -0,0 +1,270 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Until bug #537330 glib is a reverse dependency of pkgconfig and, then
+# adding new dependencies end up making stage3 to grow. Every addition needs
+# then to be think very closely.
+
+EAPI="5"
+PYTHON_COMPAT=( python2_7 )
+# Building with --disable-debug highly unrecommended.  It will build glib in
+# an unusable form as it disables some commonly used API.  Please do not
+# convert this to the use_enable form, as it results in a broken build.
+GCONF_DEBUG="yes"
+# Completely useless with or without USE static-libs, people need to use
+# pkg-config
+GNOME2_LA_PUNT="yes"
+
+inherit autotools bash-completion-r1 gnome2 libtool eutils flag-o-matic	multilib \
+	pax-utils python-r1 toolchain-funcs versionator virtualx linux-info multilib-minimal
+
+DESCRIPTION="The GLib library of C routines"
+HOMEPAGE="http://www.gtk.org/"
+SRC_URI="${SRC_URI}
+	http://pkgconfig.freedesktop.org/releases/pkg-config-0.28.tar.gz" # pkg.m4 for eautoreconf
+
+LICENSE="LGPL-2+"
+SLOT="2"
+IUSE="dbus fam kernel_linux +mime selinux static-libs systemtap test utils xattr"
+REQUIRED_USE="
+	utils? ( ${PYTHON_REQUIRED_USE} )
+	test? ( ${PYTHON_REQUIRED_USE} )
+"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux"
+
+RDEPEND="
+	!<dev-util/gdbus-codegen-${PV}
+	>=virtual/libiconv-0-r1[${MULTILIB_USEDEP}]
+	>=virtual/libffi-3.0.13-r1[${MULTILIB_USEDEP}]
+	>=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
+	selinux? ( >=sys-libs/libselinux-2.2.2-r5[${MULTILIB_USEDEP}] )
+	xattr? ( >=sys-apps/attr-2.4.47-r1[${MULTILIB_USEDEP}] )
+	fam? ( >=virtual/fam-0-r1[${MULTILIB_USEDEP}] )
+	utils? (
+		${PYTHON_DEPS}
+		>=dev-util/gdbus-codegen-${PV}[${PYTHON_USEDEP}]
+		|| (
+			>=dev-libs/elfutils-0.142
+			>=dev-libs/libelf-0.8.12
+			>=sys-freebsd/freebsd-lib-9.2_rc1
+		)
+	)
+	abi_x86_32? (
+		!<=app-emulation/emul-linux-x86-baselibs-20130224-r9
+		!app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+	)
+"
+DEPEND="${RDEPEND}
+	app-text/docbook-xml-dtd:4.1.2
+	>=dev-libs/libxslt-1.0
+	>=sys-devel/gettext-0.11
+	>=dev-util/gtk-doc-am-1.20
+	systemtap? ( >=dev-util/systemtap-1.3 )
+	test? (
+		sys-devel/gdb
+		${PYTHON_DEPS}
+		>=dev-util/gdbus-codegen-${PV}[${PYTHON_USEDEP}]
+		>=sys-apps/dbus-1.2.14 )
+	!<dev-util/gtk-doc-1.15-r2
+"
+# gobject-introspection blocker to ensure people don't mix
+# different g-i and glib major versions
+
+PDEPEND="!<gnome-base/gvfs-1.6.4-r990
+	dbus? ( gnome-base/dconf )
+	mime? ( x11-misc/shared-mime-info )
+"
+# shared-mime-info needed for gio/xdgmime, bug #409481
+# dconf is needed to be able to save settings, bug #498436
+# Earlier versions of gvfs do not work with glib
+
+pkg_setup() {
+	if use kernel_linux ; then
+		CONFIG_CHECK="~INOTIFY_USER"
+		if use test; then
+			CONFIG_CHECK="~IPV6"
+			WARNING_IPV6="Your kernel needs IPV6 support for running some tests, skipping them."
+			export IPV6_DISABLED="yes"
+		fi
+		linux-info_pkg_setup
+	fi
+}
+
+src_prepare() {
+	# Prevent build failure in stage3 where pkgconfig is not available, bug #481056
+	mv -f "${WORKDIR}"/pkg-config-*/pkg.m4 "${S}"/m4macros/ || die
+
+	if use test; then
+		# Disable tests requiring dev-util/desktop-file-utils when not installed, bug #286629, upstream bug #629163
+		if ! has_version dev-util/desktop-file-utils ; then
+			ewarn "Some tests will be skipped due dev-util/desktop-file-utils not being present on your system,"
+			ewarn "think on installing it to get these tests run."
+			sed -i -e "/appinfo\/associations/d" gio/tests/appinfo.c || die
+			sed -i -e "/desktop-app-info\/default/d" gio/tests/desktop-app-info.c || die
+			sed -i -e "/desktop-app-info\/fallback/d" gio/tests/desktop-app-info.c || die
+			sed -i -e "/desktop-app-info\/lastused/d" gio/tests/desktop-app-info.c || die
+		fi
+
+		# gdesktopappinfo requires existing terminal (gnome-terminal or any
+		# other), falling back to xterm if one doesn't exist
+		if ! has_version x11-terms/xterm && ! has_version x11-terms/gnome-terminal ; then
+			ewarn "Some tests will be skipped due to missing terminal program"
+			sed -i -e "/appinfo\/launch/d" gio/tests/appinfo.c || die
+		fi
+
+		# Disable tests requiring dbus-python and pygobject; bugs #349236, #377549, #384853
+		if ! has_version dev-python/dbus-python || ! has_version 'dev-python/pygobject:3' ; then
+			ewarn "Some tests will be skipped due to dev-python/dbus-python or dev-python/pygobject:3"
+			ewarn "not being present on your system, think on installing them to get these tests run."
+			sed -i -e "/connection\/filter/d" gio/tests/gdbus-connection.c || die
+			sed -i -e "/connection\/large_message/d" gio/tests/gdbus-connection-slow.c || die
+			sed -i -e "/gdbus\/proxy/d" gio/tests/gdbus-proxy.c || die
+			sed -i -e "/gdbus\/proxy-well-known-name/d" gio/tests/gdbus-proxy-well-known-name.c || die
+			sed -i -e "/gdbus\/introspection-parser/d" gio/tests/gdbus-introspection.c || die
+			sed -i -e "/g_test_add_func/d" gio/tests/gdbus-threading.c || die
+			sed -i -e "/gdbus\/method-calls-in-thread/d" gio/tests/gdbus-threading.c || die
+			# needed to prevent gdbus-threading from asserting
+			ln -sfn $(type -P true) gio/tests/gdbus-testserver.py
+		fi
+
+		# Some tests need ipv6, upstream bug #667468
+		if [[ -n "${IPV6_DISABLED}" ]]; then
+			sed -i -e "/gdbus\/peer-to-peer/d" gio/tests/gdbus-peer.c || die
+			sed -i -e "/gdbus\/delayed-message-processing/d" gio/tests/gdbus-peer.c || die
+			sed -i -e "/gdbus\/nonce-tcp/d" gio/tests/gdbus-peer.c || die
+		fi
+
+		# thread test fails, upstream bug #679306
+		# FIXME: we need to check if it's still failing as upstream thinks something
+		# is wrong in our setups
+		#epatch "${FILESDIR}/${PN}-2.34.0-testsuite-skip-thread4.patch"
+
+		# This test is prone to fail, bug #504024, upstream bug #723719
+		sed -i -e '/gdbus-close-pending/d' gio/tests/Makefile.am || die
+	else
+		# Don't build tests, also prevents extra deps, bug #512022
+		sed -i -e 's/ tests//' {.,gio,glib}/Makefile.am || die
+	fi
+
+	# gdbus-codegen is a separate package
+	epatch "${FILESDIR}/${PN}-2.40.0-external-gdbus-codegen.patch"
+
+	# leave python shebang alone
+	sed -e '/${PYTHON}/d' \
+		-i glib/Makefile.{am,in} || die
+
+	# Gentoo handles completions in a different directory
+	sed -i "s|^completiondir =.*|completiondir = $(get_bashcompdir)|" \
+		gio/Makefile.am || die
+
+	epatch_user
+
+	# Also needed to prevent cross-compile failures, see bug #267603
+	eautoreconf
+
+	gnome2_src_prepare
+
+	epunt_cxx
+}
+
+multilib_src_configure() {
+	# Avoid circular depend with dev-util/pkgconfig and
+	# native builds (cross-compiles won't need pkg-config
+	# in the target ROOT to work here)
+	if ! tc-is-cross-compiler && ! $(tc-getPKG_CONFIG) --version >& /dev/null; then
+		if has_version sys-apps/dbus; then
+			export DBUS1_CFLAGS="-I/usr/include/dbus-1.0 -I/usr/$(get_libdir)/dbus-1.0/include"
+			export DBUS1_LIBS="-ldbus-1"
+		fi
+		export LIBFFI_CFLAGS="-I$(echo /usr/$(get_libdir)/libffi-*/include)"
+		export LIBFFI_LIBS="-lffi"
+	fi
+
+	local myconf
+
+	case "${CHOST}" in
+		*-mingw*) myconf="${myconf} --with-threads=win32" ;;
+		*)        myconf="${myconf} --with-threads=posix" ;;
+	esac
+
+	# FIXME: Always use internal libpcre, bug #254659
+	# (maybe consider going back to system lib)
+	# libelf used only by the gresource bin
+	ECONF_SOURCE="${S}" gnome2_src_configure ${myconf} \
+		$(use_enable xattr) \
+		$(use_enable fam) \
+		$(use_enable selinux) \
+		$(use_enable static-libs static) \
+		$(use_enable systemtap dtrace) \
+		$(use_enable systemtap systemtap) \
+		$(multilib_native_use_enable utils libelf) \
+		--disable-compile-warnings \
+		--enable-man \
+		--with-pcre=internal \
+		--with-xml-catalog="${EPREFIX}/etc/xml/catalog"
+
+	if multilib_is_native_abi; then
+		local d
+		for d in glib gio gobject; do
+			ln -s "${S}"/docs/reference/${d}/html docs/reference/${d}/html || die
+		done
+	fi
+}
+
+multilib_src_test() {
+	unset DBUS_SESSION_BUS_ADDRESS
+	export XDG_CONFIG_DIRS=/etc/xdg
+	export XDG_DATA_DIRS=/usr/local/share:/usr/share
+	export G_DBUS_COOKIE_SHA1_KEYRING_DIR="${T}/temp"
+	unset GSETTINGS_BACKEND # bug 352451
+	export LC_TIME=C # bug #411967
+	python_export_best
+
+	# Related test is a bit nitpicking
+	mkdir "$G_DBUS_COOKIE_SHA1_KEYRING_DIR"
+	chmod 0700 "$G_DBUS_COOKIE_SHA1_KEYRING_DIR"
+
+	# Hardened: gdb needs this, bug #338891
+	if host-is-pax ; then
+		pax-mark -mr "${BUILD_DIR}"/tests/.libs/assert-msg-test \
+			|| die "Hardened adjustment failed"
+	fi
+
+	# Need X for dbus-launch session X11 initialization
+	Xemake check
+}
+
+multilib_src_install() {
+	gnome2_src_install
+}
+
+multilib_src_install_all() {
+	DOCS="AUTHORS ChangeLog* NEWS* README"
+	einstalldocs
+
+	if use utils ; then
+		python_replicate_script "${ED}"/usr/bin/gtester-report
+	else
+		rm "${ED}usr/bin/gtester-report"
+		rm "${ED}usr/share/man/man1/gtester-report.1"
+	fi
+
+	# Do not install charset.alias even if generated, leave it to libiconv
+	rm -f "${ED}/usr/lib/charset.alias"
+
+	# Don't install gdb python macros, bug 291328
+	rm -rf "${ED}/usr/share/gdb/" "${ED}/usr/share/glib-2.0/gdb/"
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+	if has_version '<x11-libs/gtk+-3.0.12:3'; then
+		# To have a clear upgrade path for gtk+-3.0.x users, have to resort to
+		# a warning instead of a blocker
+		ewarn
+		ewarn "Using <gtk+-3.0.12:3 with ${P} results in frequent crashes."
+		ewarn "You should upgrade to a newer version of gtk+:3 immediately."
+	fi
+}

diff --git a/dev-libs/glib/metadata.xml b/dev-libs/glib/metadata.xml
index 8f096da..9dda65d 100644
--- a/dev-libs/glib/metadata.xml
+++ b/dev-libs/glib/metadata.xml
@@ -11,7 +11,8 @@
 	<flag name="systemtap">Build support for profiling and tracing using 
 		<pkg>dev-util/systemtap</pkg></flag>
 	<flag name="utils">Install gtester-report utility to generate test
-		report files for your software.</flag>
+		report files for your software; build gresource utility with
+		ELF support.</flag>
   </use>
   <upstream>
     <remote-id type="cpe">cpe:/a:gnome:glib</remote-id>


             reply	other threads:[~2015-10-11  0:14 UTC|newest]

Thread overview: 350+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-11  0:14 Alexandre Rostovtsev [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-11  0:15 [gentoo-commits] repo/gentoo:master commit in: dev-libs/glib/ Sam James
2024-08-31 13:47 Joonas Niilola
2024-08-31 13:47 Joonas Niilola
2024-08-31 13:18 Joonas Niilola
2024-08-31 13:11 Joonas Niilola
2024-08-31  2:49 Sam James
2024-08-09 12:47 Pacho Ramos
2024-08-09 10:35 Pacho Ramos
2024-08-09  9:54 Pacho Ramos
2024-08-09  9:54 Pacho Ramos
2024-08-09  9:54 Pacho Ramos
2024-07-08 10:12 Sam James
2024-07-05 10:25 Arthur Zamarin
2024-05-09 18:52 Arthur Zamarin
2024-05-09 18:52 Arthur Zamarin
2024-05-09 18:52 Arthur Zamarin
2024-05-09 18:52 Arthur Zamarin
2024-05-09 18:40 Arthur Zamarin
2024-05-09 18:37 Arthur Zamarin
2024-05-09 18:20 Arthur Zamarin
2024-05-09 14:10 Mart Raudsepp
2024-05-08 16:59 Arthur Zamarin
2024-05-08 16:59 Arthur Zamarin
2024-05-08 16:59 Arthur Zamarin
2024-05-08 16:59 Arthur Zamarin
2024-05-02  8:03 Mart Raudsepp
2024-04-09 20:00 Arthur Zamarin
2024-04-07  7:29 Arthur Zamarin
2024-04-04  1:07 Sam James
2024-03-01 22:07 Sam James
2024-02-03 11:07 Sam James
2024-02-03 11:07 Sam James
2024-01-21 21:23 Mart Raudsepp
2024-01-07 15:36 Sam James
2024-01-07 15:36 Sam James
2023-12-29 23:03 Mart Raudsepp
2023-12-29 18:58 Arthur Zamarin
2023-12-29 18:58 Arthur Zamarin
2023-12-29 18:39 Arthur Zamarin
2023-12-08  1:47 Sam James
2023-10-29 21:58 Mart Raudsepp
2023-09-08 23:14 Matt Turner
2023-09-01 16:07 Arthur Zamarin
2023-08-31 16:48 Matt Turner
2023-08-29 18:02 Arthur Zamarin
2023-08-29 17:55 Arthur Zamarin
2023-08-29 17:49 Arthur Zamarin
2023-08-18 10:52 Sam James
2023-08-12 19:38 Arthur Zamarin
2023-08-12 18:16 Arthur Zamarin
2023-08-12 18:16 Arthur Zamarin
2023-08-12 17:52 Arthur Zamarin
2023-08-12 17:52 Arthur Zamarin
2023-07-11 11:19 Jakov Smolić
2023-07-06 23:10 Matt Turner
2023-07-02 15:03 Sam James
2023-07-02 11:18 Sam James
2023-06-05  5:15 Sam James
2023-05-24  1:38 Matt Turner
2023-05-24  1:38 Matt Turner
2023-05-03 11:51 Fabian Groffen
2023-05-03 11:49 Fabian Groffen
2023-05-02 19:05 Arthur Zamarin
2023-05-02 18:06 Arthur Zamarin
2023-05-02 18:06 Arthur Zamarin
2023-05-02 18:06 Arthur Zamarin
2023-05-02 18:06 Arthur Zamarin
2023-05-02 18:06 Arthur Zamarin
2023-05-02 18:06 Arthur Zamarin
2023-05-02 18:06 Arthur Zamarin
2023-04-22  3:08 Matt Turner
2023-04-01 19:03 Arthur Zamarin
2023-03-31 12:04 Arthur Zamarin
2023-03-22 15:04 Matt Turner
2023-03-16 23:51 Sam James
2023-03-11 14:40 Matt Turner
2023-02-25 15:00 Matt Turner
2023-02-16 18:39 Arthur Zamarin
2023-02-16 18:39 Arthur Zamarin
2023-01-23 20:16 Arthur Zamarin
2023-01-23 18:00 Arthur Zamarin
2023-01-23 18:00 Arthur Zamarin
2023-01-23 18:00 Arthur Zamarin
2023-01-23 18:00 Arthur Zamarin
2023-01-21 19:56 Matt Turner
2022-12-29 18:55 Sam James
2022-12-22 22:32 Sam James
2022-12-22 11:15 Arthur Zamarin
2022-12-21 23:39 Sam James
2022-12-16 20:30 Arthur Zamarin
2022-12-16  5:11 Sam James
2022-12-16  4:56 Sam James
2022-12-14  0:55 Sam James
2022-12-02  3:30 Sam James
2022-12-02  3:02 Matt Turner
2022-11-26 17:19 Matt Turner
2022-11-26 17:19 Matt Turner
2022-11-26  3:27 Matt Turner
2022-11-16 18:10 Arthur Zamarin
2022-10-29 23:21 Matt Turner
2022-10-25 15:25 Matt Turner
2022-09-18  4:35 Matt Turner
2022-08-17  5:57 Arthur Zamarin
2022-08-15 19:13 Arthur Zamarin
2022-08-15 17:43 Arthur Zamarin
2022-08-15 17:04 Arthur Zamarin
2022-07-21  0:13 Sam James
2022-07-20 20:35 Matt Turner
2022-07-18 17:44 Sam James
2022-07-02  2:19 Matt Turner
2022-06-25  8:07 Arthur Zamarin
2022-05-30 18:22 Matt Turner
2022-04-23  0:38 Mike Gilbert
2022-04-15  7:45 Matt Turner
2022-03-20  1:12 Matt Turner
2022-03-18 14:43 Arthur Zamarin
2022-03-15 20:54 Matt Turner
2022-02-11 21:54 Matt Turner
2022-02-11 21:41 Sam James
2022-02-11 21:39 Sam James
2022-02-11 20:56 Matt Turner
2022-02-03  6:20 Matt Turner
2022-01-26 20:34 Matt Turner
2022-01-24 19:21 Sam James
2022-01-24 19:21 Sam James
2022-01-24 14:45 Sam James
2021-12-11 13:34 Mart Raudsepp
2021-11-06  4:13 Sam James
2021-11-06  4:11 Sam James
2021-11-06  3:58 Sam James
2021-10-26 16:07 Sam James
2021-09-17 13:13 Mart Raudsepp
2021-08-20 21:14 Matt Turner
2021-07-24 17:08 Sam James
2021-07-11  2:31 Sam James
2021-07-07 14:22 Sergei Trofimovich
2021-07-06 16:42 Mart Raudsepp
2021-06-13 20:25 Sam James
2021-06-11  4:53 Matt Turner
2021-06-04  3:12 Matt Turner
2021-06-04  3:12 Matt Turner
2021-06-01  0:46 Sam James
2021-05-31 17:43 Sergei Trofimovich
2021-05-30  9:53 Sam James
2021-05-24  1:47 Thomas Deutschmann
2021-05-12  3:43 Matt Turner
2021-04-27 14:13 Matt Turner
2021-03-21  4:32 Matt Turner
2021-02-18 22:19 Mart Raudsepp
2021-02-18  8:27 Sam James
2021-02-18  7:29 Sam James
2021-02-17 18:42 Sam James
2021-02-17 15:56 Sergei Trofimovich
2021-02-17 14:21 Sam James
2021-02-17 13:54 Sam James
2021-02-17  1:01 Sam James
2021-02-16 19:20 Sam James
2021-02-16 19:17 Sergei Trofimovich
2021-02-14 11:31 Mart Raudsepp
2021-01-26 17:42 Sergei Trofimovich
2020-12-18 22:05 Matt Turner
2020-12-17 14:15 Mart Raudsepp
2020-12-09 14:57 Mart Raudsepp
2020-12-08 15:56 Mart Raudsepp
2020-12-05 18:49 Matt Turner
2020-11-14  9:19 Mikle Kolyada
2020-11-08 15:15 Matt Turner
2020-11-08  2:14 Matt Turner
2020-11-06 15:19 Sam James
2020-11-05 16:16 Sam James
2020-09-27 10:05 Sergei Trofimovich
2020-09-07 18:17 Sam James
2020-09-07  5:50 Sam James
2020-08-29 22:15 Sam James
2020-08-29 19:54 Sam James
2020-08-19  8:31 Sergei Trofimovich
2020-08-19  3:57 Matt Turner
2020-08-16  2:53 Sam James
2020-08-12 15:50 Sam James
2020-07-19  6:00 Mart Raudsepp
2020-07-13 20:33 Matt Turner
2020-07-13 20:33 Matt Turner
2020-06-03 15:32 Agostino Sarubbo
2020-05-24 20:38 Matt Turner
2020-05-24 20:38 Matt Turner
2020-05-16 15:50 James Le Cuirot
2020-05-13 17:35 Sergei Trofimovich
2020-04-26  1:54 Matt Turner
2020-04-22 14:25 Agostino Sarubbo
2020-04-22  8:41 Agostino Sarubbo
2020-04-17 19:50 Mart Raudsepp
2020-04-17 18:55 Andreas Sturmlechner
2020-04-16 18:05 Sergei Trofimovich
2020-04-14 17:05 Mart Raudsepp
2020-03-29 18:21 Matt Turner
2020-03-21 18:57 Mart Raudsepp
2020-03-12 14:05 Mart Raudsepp
2020-03-05 12:49 Agostino Sarubbo
2020-02-24 12:49 Agostino Sarubbo
2020-02-24 11:43 Agostino Sarubbo
2020-02-24 11:31 Agostino Sarubbo
2020-02-24 11:28 Agostino Sarubbo
2020-02-24 10:04 Agostino Sarubbo
2020-02-24  9:02 Agostino Sarubbo
2020-02-23 12:24 Mart Raudsepp
2020-02-23 12:19 Mikle Kolyada
2020-02-13 14:40 Agostino Sarubbo
2020-02-11 10:52 Agostino Sarubbo
2020-01-28  7:41 Agostino Sarubbo
2020-01-27 14:28 Agostino Sarubbo
2020-01-27 12:44 Agostino Sarubbo
2020-01-27  9:45 Mikle Kolyada
2020-01-27  8:10 Sergei Trofimovich
2020-01-26 22:39 Thomas Deutschmann
2020-01-11 18:13 Mart Raudsepp
2020-01-01 15:41 Mart Raudsepp
2020-01-01 15:25 Agostino Sarubbo
2019-12-24 17:03 Sergei Trofimovich
2019-12-09  9:14 Agostino Sarubbo
2019-12-09  9:11 Agostino Sarubbo
2019-12-09  0:10 Aaron Bauman
2019-12-08 11:59 Mikle Kolyada
2019-12-08 11:58 Mikle Kolyada
2019-12-08 11:55 Mikle Kolyada
2019-10-09  9:29 Agostino Sarubbo
2019-09-22  2:39 Matt Turner
2019-09-08  1:13 Thomas Deutschmann
2019-09-07 10:53 Mart Raudsepp
2019-09-03  0:16 Aaron Bauman
2019-09-02 10:11 Agostino Sarubbo
2019-09-02  9:32 Agostino Sarubbo
2019-09-02  7:25 Agostino Sarubbo
2019-09-01 18:20 Mikle Kolyada
2019-08-31  5:26 Mikle Kolyada
2019-08-24  6:27 Mart Raudsepp
2019-07-28 20:22 Mart Raudsepp
2019-07-28 20:17 Mikle Kolyada
2019-07-28 20:17 Mikle Kolyada
2019-07-26  9:52 Agostino Sarubbo
2019-07-26  9:16 Agostino Sarubbo
2019-07-26  8:47 Agostino Sarubbo
2019-07-25 20:42 Mart Raudsepp
2019-07-25 18:31 Sergei Trofimovich
2019-07-25 13:06 Agostino Sarubbo
2019-07-24 21:49 Sergei Trofimovich
2019-07-24 20:49 Thomas Deutschmann
2019-07-23 19:14 Aaron Bauman
2019-05-04 14:53 Andreas K. Hüttel
2019-04-08  8:39 Mart Raudsepp
2019-04-07 11:02 Mikle Kolyada
2019-04-02 19:20 Sergei Trofimovich
2019-03-31 20:30 Sergei Trofimovich
2019-03-30 20:37 Mart Raudsepp
2019-03-30 16:26 Mikle Kolyada
2019-03-13 23:03 Sergei Trofimovich
2019-02-13 11:30 Mikle Kolyada
2019-02-08 20:35 Sergei Trofimovich
2019-02-07 17:09 Mikle Kolyada
2019-01-21 15:18 Mart Raudsepp
2019-01-03 20:15 Mart Raudsepp
2019-01-03 20:15 Mart Raudsepp
2019-01-02 12:18 Markus Meier
2018-12-30 18:00 Mikle Kolyada
2018-12-28 19:40 Sergei Trofimovich
2018-12-26 17:17 Matt Turner
2018-12-25 19:50 Sergei Trofimovich
2018-12-23 12:22 Mikle Kolyada
2018-12-23  0:03 Sergei Trofimovich
2018-12-22 23:57 Sergei Trofimovich
2018-12-22 22:25 Thomas Deutschmann
2018-12-21 20:16 Sergei Trofimovich
2018-12-19 21:56 Mart Raudsepp
2018-12-17 17:46 Mart Raudsepp
2018-12-17 16:29 Mart Raudsepp
2018-12-17 15:08 Mart Raudsepp
2018-12-17 12:10 Mart Raudsepp
2018-12-05 15:32 Mart Raudsepp
2018-12-05  7:34 Mikle Kolyada
2018-12-05  7:07 Mikle Kolyada
2018-12-04 16:27 Mikle Kolyada
2018-12-02 14:29 Mikle Kolyada
2018-12-02 10:12 Mikle Kolyada
2018-12-01 14:51 Sergei Trofimovich
2018-11-06 23:11 Sergei Trofimovich
2018-10-01 12:40 Thomas Deutschmann
2018-08-20  7:29 Mart Raudsepp
2018-08-20  6:12 Mart Raudsepp
2018-07-24 15:10 Michał Górny
2018-07-09 22:02 Mikle Kolyada
2018-06-24 20:54 Jeroen Roovers
2018-06-10 10:51 Mart Raudsepp
2018-06-10 10:51 Mart Raudsepp
2018-06-10  8:25 Mart Raudsepp
2018-06-10  8:25 Mart Raudsepp
2018-03-14 21:41 Sergei Trofimovich
2018-03-06 21:37 Tobias Klausmann
2018-03-04 20:48 Sergei Trofimovich
2018-03-03  1:43 Mart Raudsepp
2018-02-16 20:39 Sergei Trofimovich
2018-01-18  2:08 Mikle Kolyada
2018-01-13 12:13 Sergei Trofimovich
2017-08-26 10:07 Gilles Dartiguelongue
2017-07-09 23:23 Mart Raudsepp
2017-07-07 10:12 Agostino Sarubbo
2017-05-29 19:14 Mart Raudsepp
2017-05-08 18:28 Mart Raudsepp
2017-05-08 18:27 Mart Raudsepp
2017-04-23 22:40 Mart Raudsepp
2017-04-14 16:28 Michał Górny
2017-04-12 19:30 Mike Frysinger
2017-04-11  5:09 Mart Raudsepp
2017-04-11  1:52 Mart Raudsepp
2017-03-29  7:45 Michael Weber
2017-03-28 15:09 Michael Weber
2017-03-28 14:59 Michael Weber
2017-03-28 13:33 Mart Raudsepp
2017-02-21  1:11 Mart Raudsepp
2017-02-21  1:11 Mart Raudsepp
2016-12-14 20:34 David Seifert
2016-12-06 20:05 Markus Meier
2016-11-11 12:47 Gilles Dartiguelongue
2016-11-01 23:58 Gilles Dartiguelongue
2016-10-15 12:50 Patrice Clement
2016-09-15 15:21 Michał Górny
2016-09-08 23:03 Gilles Dartiguelongue
2016-07-30 20:37 Pacho Ramos
2016-07-30 20:37 Pacho Ramos
2016-07-24 13:09 Jeroen Roovers
2016-06-18 18:08 Michał Górny
2016-05-17 18:38 Markus Meier
2016-05-03 19:31 Markus Meier
2016-05-02  2:03 Alexandre Rostovtsev
2016-05-02  2:03 Alexandre Rostovtsev
2016-03-26 21:25 Alexandre Rostovtsev
2016-03-25  8:51 Dennis Lamm
2016-02-28 12:02 Pacho Ramos
2016-02-28 12:02 Pacho Ramos
2016-01-04  8:05 Gilles Dartiguelongue
2016-01-02 16:19 Gilles Dartiguelongue
2016-01-02 15:41 Gilles Dartiguelongue
2015-12-26 22:45 Michał Górny
2015-12-08 17:34 Mike Frysinger
2015-11-19 10:04 Agostino Sarubbo
2015-11-18  9:09 Agostino Sarubbo
2015-11-18  5:47 Jeroen Roovers
2015-11-14 10:28 Agostino Sarubbo
2015-11-13  9:12 Agostino Sarubbo
2015-10-13  3:28 Mike Frysinger
2015-10-03  8:18 Markus Meier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1444522362.67b2d360e634c57fd65334688c6d42113969d8f5.tetromino@gentoo \
    --to=tetromino@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox